function affiche_calendrier(){

var d = new Date();
var dm = d.getMonth() + 1;
var dan = d.getYear();
var mois_current;

if(dan < 999) dan+=1900;



document.write('<div id="calendrier">');
calendrier(dm,dan);
document.write("<\/div>");

// mettre ici les rdv du jour
var maintenant = new Date();
var ce_jour = maintenant.getDate();
if (test_rdv(a,dm,ce_jour)) {
	document.write("Aujourd'hui--");
// les événement sont mis en 10 (position)
	document.write(a[dm][ce_jour][10]);
}


//------------------------------------

/*------------------------------------
if (dm!=12){
	document.write('<div id="calendrier1">');
		calendrier(dm+1,dan);
	document.write("<\/div>");
}

*/

//-----------------------------------------

  var liste = "<FORM NAME=''><SELECT NAME='liste' ";
 // liste += "onChange='changerVisuel(this.options[this.selectedIndex].value)'";
  liste += "><OPTION>TODAY</OPTION>";
  for(var i=1; i<11; i++){
      var j=8+i;
      liste += "<OPTION VALUE="+i+">"+j+"h"+a[dm][ce_jour][i]+"</OPTION>";
}
  liste += "</SELECT></FORM>";
document.write(liste);





// fin d'affichage dans menu gauche

function calendrier(mois,an) {

mois_current = mois;
//alert(mois_current);

nom_mois = new Array
("Janvier","F&eacute;vrier","Mars","Avril","Mai","Juin","Juillet",
"Ao&ucirc;t","Septembre","Octobre","Novembre","D&eacute;cembre");
jour = new Array ("Lu","Ma","Me","Je","Ve","Sa","Di");

var police_entete = "Verdana,Arial"; /* police entête de calendrier */
var taille_pol_entete = 1; /* taille de police 1-7 entête de calendrier */
var couleur_pol_entete = "#FFFFFF"; /* couleur de police entête de calendrier */
var arrplan_entete = "indianred"; /* couleur d'arrière plan entête de calendrier */
var police_jours = "Verdana,Arial"; /* police affichage des jours */
var taille_pol_jours = 1; /* taille de police 1-7 affichage des jours */
var coul_pol_jours = "#000000"; /* couleur de police affichage des jours */
var coul_pol_jours_f = "000000"; /* couleur de police affichage des jours */
var arrplan_jours = "FFFFFF"; /* couleur d'arrière plan affichage des jours */
var couleur_dim = "indianred"; /* couleur de police pour dimanches */
var couleur_rdv_f = "yellow"; /* couleur d'arrière plan pour les rdv non aujourd'hui */
var couleur_rdv_p = "aaff00"; /* couleur d'arrière plan pour les rdv non aujourd'hui */

var couleur_cejour = "FF6600"; /* couleur d'arrière plan pour aujourd'hui */
var couleur_jour = "FFFFFF"; /* couleur  aujourd'hui */

var maintenant = new Date();
var ce_mois = maintenant.getMonth() + 1;
var cette_annee = maintenant.getYear();
if(cette_annee < 999) cette_annee+=1900;
var ce_jour = maintenant.getDate();
var temps = new Date(an,mois-1,1);
var Start = temps.getDay();
if(Start > 0) Start--;
else Start = 6;
var Stop = 31;
if(mois==4 ||mois==6 || mois==9 || mois==11 ) --Stop;
if(mois==2) {
Stop = Stop - 3;
if(an%4==0) Stop++;
if(an%100==0) Stop--;
if(an%400==0) Stop++;

}


document.write('<table border="3" cellpadding="1" cellspacing="1">');
var entete_mois = nom_mois[mois-1] + " " + an;
inscrit_entete(entete_mois,arrplan_entete,couleur_pol_entete,taille_pol_entete,police_entete);
var nombre_jours = 1;
for(var i=0;i<=5;i++) {
document.write("<tr>");
for(var j=0;j<=6;j++) {
	if((i==0)&&(j < Start))
		inscrit_cellule(" ",arrplan_jours,coul_pol_jours,taille_pol_jours,police_jours);
	else {
		if(nombre_jours > Stop)
			inscrit_cellule(" ",arrplan_jours,coul_pol_jours,taille_pol_jours,police_jours);
		else {
			if((an==cette_annee)&&(mois==ce_mois)&&(nombre_jours==ce_jour))
			{
				inscrit_cellule_lienjour(nombre_jours,couleur_cejour,couleur_jour,taille_pol_jours,police_jours);
			}
			else {
// pour faire le test de couleur et uniquement sur les rdv futurs
				if (test_rdv(a,mois,nombre_jours)){
					if (nombre_jours > ce_jour || dm < mois){
						inscrit_cellule_lien(nombre_jours,couleur_rdv_f,coul_pol_jours_f ,taille_pol_jours,police_jours);
					}
					else{
						inscrit_cellule_lien(nombre_jours,couleur_rdv_p,coul_pol_jours,taille_pol_jours,police_jours);
					}
				}
				else{
					inscrit_cellule_(nombre_jours,arrplan_jours,coul_pol_jours,taille_pol_jours,police_jours);
				}
			}
		nombre_jours++;
		}
	}
}
document.write("<\/tr>");
}
document.write("<\/table>");
}


function inscrit_entete(titre_mois,couleurAP,couleurpolice,taillepolice,police) {
document.write("<tr>");
document.write('<td align="center" colspan="7" valign="middle" bgcolor="'+couleurAP+'">');
document.write('<font size="'+taillepolice+'" color="'+couleurpolice+'" face="'+police+'"><b>');
document.write(titre_mois);
document.write("<\/b><\/font><\/td><\/tr>");
document.write("<tr>");
for(var i=0;i<=6;i++)
inscrit_cellule(jour[i],couleurAP,couleurpolice,taillepolice,police);
document.write("<\/tr>");
//alert("coucoufin des presenctation");
}

function inscrit_rdv(contenu,couleurAP,couleurpolice,taillepolice,police) {
      document.write('<a HREF= "Agenda/'+contenu+'_'+mois_current+'.html"');
	document.write('<font size= "'+taillepolice+'" color="'+couleurpolice+' " face="'+police+' "bgcolor="'+couleurAP+ '" ><b>');
	document.write(contenu);
	document.write("<\/b><\/font>");
      document.write('<\/a>');
	//document.write("<\/div>");
}


function inscrit_cellule(contenu,couleurAP,couleurpolice,taillepolice,police) {
document.write('<td align="center" valign="middle" bgcolor="'+couleurAP+'">');
document.write('<font size="'+taillepolice+'" color="'+couleurpolice+'" face="'+police+'"><b>');
document.write(contenu);
document.write("<\/b><\/font><\/td>");
}

function inscrit_cellule_lienjour(contenu,couleurAP,couleurpolice,taillepolice,police) {
document.write('<td align="center" valign="middle" bgcolor="'+couleurAP+ ' ">');
document.write('<font size="'+taillepolice+'" color="'+couleurpolice+'" face="'+police+'"><b>');
if (test_rdv(a,dm,contenu)) {
	inscrit_rdv(contenu,couleurAP,couleurpolice,taillepolice,police);
}
else{
	document.write(contenu);
}

	document.write('<font size= "'+taillepolice+'" color="'+couleurpolice+' " face="'+police+' "bgcolor="'+couleurAP+ '" ><b>');
//
	document.write("<\/b><\/font><\/td>");


}

function inscrit_cellule_lien(contenu,couleurAP,couleurpolice,taillepolice,police) {
document.write('<td align="center" valign="middle" bgcolor="'+couleurAP+'">');
document.write('<font size="'+taillepolice+'" color="'+couleurpolice+'" face="'+police+'"><b>');
inscrit_rdv(contenu,couleurAP,couleurpolice,taillepolice,police);
document.write("<\/b><\/font><\/td>");


}
function inscrit_cellule_(contenu,couleurAP,couleurpolice,taillepolice,police) {
document.write('<td align="center" valign="middle" bgcolor="'+couleurAP+'">');
document.write('<font size="'+taillepolice+'" color="'+couleurpolice+'" face="'+police+'"><b>');
document.write(contenu);
document.write("<\/b><\/font><\/td>");
}





}